Subject: [Int-area] GUE: IANA Considerations question

From: Greg Mirsky <[email-masked]>
Date: Wed, 23 Oct 2019 09:44:25 -0400

Dear Authors, et al.,
I have a rather benign question the new registry requested in Section 8.3.
The draft states that the whole 1-127 range is "RFC required" per RFC 5226.
Firstly, a nit - RFC 5226 has been obsoleted by RFC 8126. My question is
Would you agree to split the 128-255 range and set First Come First Served
<https://tools.ietf.org/html/rfc8126#section-4.4> sub-range. For example:

      +----------------+------------------+---------------+
      |  Control type  | Description      | Reference     |
      +----------------+------------------+---------------+
      | 0              | Control payload  | This document |
      |                | needs more       |               |
      |                | context for      |               |
      |                | interpretation   |               |
      |                |                  |               |
      | 1..127         | Unassigned       |               |
      |                |                  |               |
      | 128..250       | First Come       | RFC 8126      |
      |                | First Served     |               |
      | 251..254       | Experimental     | This document |
      |                |                  |               |
      | 255            | Reserved         | This document |
      |                |                  |               |
      +----------------+------------------+---------------+

Also, you may consider updating 0 as Reserved and assigning 1 as Control
payload ...
Much appreciate your consideration.

Regards,
Greg

---

From: Bob Hinden <[email-masked]>
Date: Wed, 23 Oct 2019 07:36:42 -0700

Greg,

> On Oct 23, 2019, at 6:44 AM, Greg Mirsky <[email-masked]> wrote:
> 
> Dear Authors, et al.,
> I have a rather benign question the new registry requested in Section 8.3. The draft states that the whole 1-127 range is "RFC required" per RFC 5226. Firstly, a nit - RFC 5226 has been obsoleted by RFC 8126. My question is Would you agree to split the 128-255 range and set First Come First Served sub-range. For example:

Please explain why you are proposing this change.

Thanks,
Bob

> Also, you may consider updating 0 as Reserved and assigning 1 as Control payload ...
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area

---

From: Tom Herbert <[email-masked]>
Date: Wed, 23 Oct 2019 07:46:24 -0700

Greg,

My immediate question is would this encourage people to develop quasi
proprietary control types? (which they would probably do anyway in
using experimental values but wouldn't acknowledged by IANA).

Tom

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 23 Oct 2019 10:49:59 -0400

Hi Tom,
though I'd not say "quasi-proprietary" but "well-known", you're correct. My
proposal allows the same innovation as in the current proposal for the new
registry but makes that innovation trackable, non-conflicting.

Regards,
Greg

On Wed, Oct 23, 2019 at 10:46 AM Tom Herbert <[email-masked]> wrote:

> > I have a rather benign question the new registry requested in Section
> 8.3. The draft states that the whole 1-127 range is "RFC required" per RFC
> 5226. Firstly, a nit - RFC 5226 has been obsoleted by RFC 8126. My question
> is Would you agree to split the 128-255 range and set First Come First
> Served sub-range. For example:
> >

---

From: Joe Touch <[email-masked]>
Date: Wed, 23 Oct 2019 07:50:32 -0700

It would also be useful to understand why you think more than one code point is needed for experiments (vs the RFC6994-style approach).

Joe

> On Oct 23, 2019, at 7:36 AM, Bob Hinden <[email-masked]> wrote:
> 
> Greg,
> 
>> On Oct 23, 2019, at 6:44 AM, Greg Mirsky <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Dear Authors, et al.,
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/int-area <https://www.ietf.org/mailman/listinfo/int-area>

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 23 Oct 2019 11:07:10 -0400

Hi Joe,
I'll be happy with a single Experimental code point.

Regards,
Greg

On Wed, Oct 23, 2019 at 10:50 AM Joe Touch <[email-masked]> wrote:

> It would also be useful to understand why you think more than one code
> point is needed for experiments (vs the RFC6994-style approach).
>
> Joe
>
> sub-range. For example:

---

From: Tom Herbert <[email-masked]>
Date: Wed, 23 Oct 2019 15:16:29 -0700

> I'll be happy with a single Experimental code point.

Okay. We can have one exp code point and define RFC6994 mechanism.

Tom

---

From: <[email-masked]>
Date: Thu, 24 Oct 2019 05:48:29 +0000

Tom,

Now that you are on the IANA considerations, I would appreciate if you can consider updating it to request a codepoint from the tunnel registry  available at: https://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml#smi-numbers-6. More rationale can be found in RFC-to-be-8675 (draft-ietf-softwire-iftunnel).

Registration guidelines are available at: https://tools.ietf.org/html/draft-thaler-iftype-reg.

Cheers,
Med

De : Int-area [mailto:[email-masked]] De la part de Tom Herbert
Envoyé : jeudi 24 octobre 2019 00:16
À : Greg Mirsky
Cc : int-area; [email-masked]
Objet : Re: [Int-area] GUE: IANA Considerations question

On Wed, Oct 23, 2019, 8:07 AM Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:
Hi Joe,
I'll be happy with a single Experimental code point.

Tom

Regards,
Greg

On Wed, Oct 23, 2019 at 10:50 AM Joe Touch <[email-masked]<mailto:[email-masked]>> wrote:
It would also be useful to understand why you think more than one code point is needed for experiments (vs the RFC6994-style approach).

Joe

On Oct 23, 2019, at 7:36 AM, Bob Hinden <[email-masked]<mailto:[email-masked]>> wrote:

Greg,

On Oct 23, 2019, at 6:44 AM, Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Dear Authors, et al.,

Thanks,
Bob

Regards,
Greg

_______________________________________________
Int-area mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/int-area

_______________________________________________
Int-area mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/int-area